%define module_version 0.02
%define module_name WebService-Minecraft-Fishbans
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: look for bans for a Minecraft user
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGPRESH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Fishbans is a service that lets you query various
Minecraft "global ban" systems (e.g. MCBouncer, MCBans, Minebans, etc) in one
API call.

This module is a simple wrapper to query the Fishbans API.  It collates the
bans reported by the Fishbans API, flattening the response to present simply an
array/arrayref of hashrefs, one per recorded ban.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

